Sever stürzt wegen "Missing entries" ab

Dieses Thema im Forum "Technischer Support" wurde erstellt von fabigamer235, 21. April 2015.

  1. fabigamer235
    Online

    fabigamer235

    Hallo,
    habe gerade auf meinem Testserver weiter gearbeitet, auf einmal ist der Server dann abgestürzt. Nach einem Neustart stürzt er jetzt etwa alle 5 Minuten ab, im Log steht folgendes: http://pastebin.com/HJRAvgMs

    Was tu ich dagegen? Wo fehlen dem denn diese Items? Und das ist nehme ich an der Absturz-Grund oder?
    Komplettes Log: http://pastebin.com/57eDfz0q
     
    #1
  2. SilberRegen
    Offline

    SilberRegen

    Registriert seit:
    23. März 2012
    Beiträge:
    572
    Minecraft:
    SilberRegen
    Hast du den Log überhaupt gelesen?
    Es steht eine Zeile darüber welches Plugin das verursacht und wenn man Serverstart näher begutachtet, wird genau dafür auch ein Fehler angegeben.

    Da nach dieser Meldung noch weitere kommen, glaube ich aber nicht, dass das der Grund für den Absturz ist. Schau dir mal einen Log von einem Absturz an. Der gegebene Log scheint von einem laufenden Server zu kommen, oder es fehlt ein Teil am Ende.
     
    #2
    MrGoms gefällt das.
  3. fabigamer235
    Online

    fabigamer235

    Stimmt, ist mir gerade auch aufgefallen. Ab und zu kommt von Skript auch ein sehr langer Error: http://pastebin.com/u1CTwbHG
    Habe die .jar von Skript gelöscht, dann war der Fehler weg. Erneut draufkopiert, der Fehler kam nicht mehr. Reloade ich jedoch Skript kommt das wieder. Was bedeutet das? Nach dem Reload steht im Chat jedoch kein Error.

    Ja der Server war an als ich es kopiert habe.

    Jetzt sehe ich keinen Error mehr, mal schauen ob es wieder geht.
     
    #3
  4. LoganBwDE
    Offline

    LoganBwDE

    Registriert seit:
    26. November 2014
    Beiträge:
    184
    Ort:
    Abtsgmünd
    Minecraft:
    LoganBwDE
    Reloadest du den Server durch stop und dann durch starten des Skripts oder durch /reload ?
     
    #4
  5. fabigamer235
    Online

    fabigamer235

    Ja, /stop Server neustarten, /sk reload all Skript reloaden. Habe ich bis jetzt immer so gemacht.
     
    #5
  6. LoganBwDE
    Offline

    LoganBwDE

    Registriert seit:
    26. November 2014
    Beiträge:
    184
    Ort:
    Abtsgmünd
    Minecraft:
    LoganBwDE
    Welche Worldguard Version benutzt du denn?

    Da er zwar diese Klasse/Ordner dort gefunden hat, doch nicht die Klasse die er sucht
    Found interface com.sk89q.worldguard.protection.ApplicableRegionSet, but class was expected
     
    #6
  7. fabigamer235
    Online

    fabigamer235

    6.0.0 Snapshot 1592
     
    #7
  8. LoganBwDE
    Offline

    LoganBwDE

    Registriert seit:
    26. November 2014
    Beiträge:
    184
    Ort:
    Abtsgmünd
    Minecraft:
    LoganBwDE
    Also wie du den Fehler beheben kannst: Einfach auf eine alte Worldguard Version wechseln, die vor der v6.0.0 rauskam, da seitdem die Pfade etc. anderst sind.
     
    #8
  9. fabigamer235
    Online

    fabigamer235

    Wo soll ich die am besten runterladen? Bukkit? Und auch ältere Worldedit dann?

    Also nur ältere Worldguard-Version geht, danke!
     
    #9
  10. LoganBwDE
    Offline

    LoganBwDE

    Registriert seit:
    26. November 2014
    Beiträge:
    184
    Ort:
    Abtsgmünd
    Minecraft:
    LoganBwDE
    Kein Problem...Ja von Bukkit wenn dann und nur halt auch Versionen, die für deinen Server geeignet sind
     
    #10
  11. Majoox
    Offline

    Majoox

    Registriert seit:
    6. Mai 2014
    Beiträge:
    832
    Ort:
    Deutschland
    Minecraft:
    Majoox
    Das sind alles Blöcke aus der Version 1.8. Hast du eventuell ein Downgrade durchgeführt, welches nun dazu führt das die Blöcke alle fehlen?
     
    #11
  12. ¯\_(ツ)_/¯
    Offline

    ¯\_(ツ)_/¯

    Registriert seit:
    16. Mai 2014
    Beiträge:
    20
    Ort:
    ::1
    Benutzt du Spigot? Dann starte den Server nicht sofort neu, wenn er nicht mehr funktioniert. Nach einer Weile (kann bis zu 15 min. dauern) kommt ein Log, in dem eventuell steht, warum der Server nicht mehr funktioniert.
     
    #12
  13. fabigamer235
    Online

    fabigamer235

    Wie gesagt, Problem ist gelöst ;)

    Also habe mit der 1.7.10 erst gebaut, nach kurzer Zeit bin ich zur 1.8 gewechselt. Aber wieder zur 1.7 nicht.

    Nachtrag: Wegen der älteren Worldguard können Spieler jetzt aber trotz Protection Armorständer platzieren. Was kann ich da tun?
     
    #13
  14. SilberRegen
    Offline

    SilberRegen

    Registriert seit:
    23. März 2012
    Beiträge:
    572
    Minecraft:
    SilberRegen
    Wenn WorldGuard die ID nicht kennt gar nichts, zumindest nicht über WG.
    Du kannst versuchen es auf die Blacklist zu setzen, aber die Chance ist gegeben, dass dies nicht funktioniert.

    Gibt sicher auch andere Wege Blöcke zu verbieten, schau mal, was deine schon vorhandenen Plugins für Features mitbringen oder google, ob das nicht sogar vanilla geht (Commandblocks?).
     
    #14